KUBERNETES(1)

NAME

kubeadm init phase kubeconfig admin - Generates a kubeconfig file for the admin to use and for kubeadm itself

SYNOPSIS

kubeadm init phase kubeconfig admin [OPTIONS]

DESCRIPTION

Generates the kubeconfig file for the admin and for kubeadm itself, and saves it to admin.conf file.

OPTIONS

--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--kubeconfig-dir="/etc/kubernetes"
    The path where to save the kubeconfig file.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-init-phase-kubeconfig(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!